MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024856Open CASCADE[OCCT] OCCT:Codingpublic2014-04-17 17:252014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024856: CLang warnings -Wunused-private-field
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wunused-private-field which in most cases indicate wrong code:
inc/OSD_DirectoryIterator.hxx:105:18: warning: private field 'myHandle' is not used [-Wunused-private-field]
inc/OSD_DirectoryIterator.hxx:106:18: warning: private field 'myData' is not used [-Wunused-private-field]
inc/OSD_DirectoryIterator.hxx:107:18: warning: private field 'myFirstCall' is not used [-Wunused-private-field]
inc/OSD_EnvironmentIterator.hxx:81:18: warning: private field 'myEnv' is not used [-Wunused-private-field]
inc/OSD_FileIterator.hxx:105:18: warning: private field 'myHandle' is not used [-Wunused-private-field]
inc/OSD_FileIterator.hxx:106:18: warning: private field 'myData' is not used [-Wunused-private-field]
inc/OSD_FileIterator.hxx:107:18: warning: private field 'myFirstCall' is not used [-Wunused-private-field]
inc/AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfMyGradientOfCompute.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfMyGradientOfCompute.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfTheGradient.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/AppDef_ParLeastSquareOfTheGradient.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/AppDef_TheLeastSquares.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/AppDef_TheLeastSquares.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/IntPatch_TheIWalking.hxx:164:18: warning: private field 'prevtg' is not used [-Wunused-private-field]
inc/MAT2d_Mat2d.hxx:101:18: warning: private field 'thecurrentindex' is not used [-Wunused-private-field]
inc/BRepApprox_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/BRepApprox_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/BRepApprox_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/BRepApprox_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/BRepApprox_ParLeastSquareOfMyGradientbisOfTheComputeLineOfApprox.hxx:166:15: warning: private field 'ERR3d' is not used [-Wunused-private-field]
inc/BRepApprox_ParLeastSquareOfMyGradientbisOfTheComputeLineOfApprox.hxx:167:15: warning: private field 'ERR2d' is not used [-Wunused-private-field]
inc/TopOpeBRep_FFDumper.hxx:87:18: warning: private field 'myEn1' is not used [-Wunused-private-field]
inc/TopOpeBRep_FFDumper.hxx:88:18: warning: private field 'myEn2' is not used [-Wunused-private-field]
inc/TopOpeBRep_FFDumper.hxx:89:18: warning: private field 'myLineIndex' is not used [-Wunused-private-field]
inc/TopOpeBRepTool_ShapeExplorer.hxx:87:18: warning: private field 'myIndex' is not used [-Wunused-private-field]
inc/TopOpeBRepTool_ShapeExplorer.hxx:88:18: warning: private field 'myNbShapes' is not used [-Wunused-private-field]
inc/Contap_TheIWalkingOfContour.hxx:164:18: warning: private field 'prevtg' is not used [-Wunused-private-field]
inc/BRepMesh_ComparatorOfVertexOfDelaun.hxx:62:15: warning: private field 'Tolerance' is not used [-Wunused-private-field]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028964)
ski (developer)
2014-04-18 15:05

Actual warnings were fixed.
Variables from warnings:
    inc/OSD_DirectoryIterator.hxx:105:18: warning: private field 'myHandle' is not used [-Wunused-private-field]
    inc/OSD_DirectoryIterator.hxx:106:18: warning: private field 'myData' is not used [-Wunused-private-field]
    inc/OSD_DirectoryIterator.hxx:107:18: warning: private field 'myFirstCall' is not used [-Wunused-private-field]
    inc/OSD_EnvironmentIterator.hxx:81:18: warning: private field 'myEnv' is not used [-Wunused-private-field]
    inc/OSD_FileIterator.hxx:105:18: warning: private field 'myHandle' is not used [-Wunused-private-field]
    inc/OSD_FileIterator.hxx:106:18: warning: private field 'myData' is not used [-Wunused-private-field]
    inc/OSD_FileIterator.hxx:107:18: warning: private field 'myFirstCall' is not used [-Wunused-private-field]
    inc/TopOpeBRep_FFDumper.hxx:87:18: warning: private field 'myEn1' is not used [-Wunused-private-field]
    inc/TopOpeBRep_FFDumper.hxx:88:18: warning: private field 'myEn2' is not used [-Wunused-private-field]
    inc/TopOpeBRep_FFDumper.hxx:89:18: warning: private field 'myLineIndex' is not used [-Wunused-private-field]
    inc/TopOpeBRepTool_ShapeExplorer.hxx:87:18: warning: private field 'myIndex' is not used [-Wunused-private-field]
    inc/TopOpeBRepTool_ShapeExplorer.hxx:88:18: warning: private field 'myNbShapes' is not used [-Wunused-private-field]
are used in other platforms.
Changes are located in branch CR24856.
Please, review.
(0028975)
abv (manager)
2014-04-18 17:30

No remarks, please test
(0028998)
mkv (tester)
2014-04-21 20:22

Dear BugMaster,

Branch CR24856 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b76e818ee96c5eae234d6354f0f1750046dc8208

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 384 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355828592 / 355845808
Total CPU difference: 52597.33999999989 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379598884 / 381828688
Total CPU difference: 41632.34375 / 43088.375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 6fc9d72d
Timestamp: 2014-04-18 11:02:41
Author: abv
Committer: abv
Details ] Diff ]
0024856: CLang warnings -Wunused-private-field

Actual warnings were fixed.
mod - src/AppParCurves/AppParCurves_LeastSquare.cdl Diff ] File ]
mod - src/BRepMesh/BRepMesh_ComparatorOfVertexOfDelaun.cdl Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking.cdl Diff ] File ]
mod - src/MAT2d/MAT2d_Mat2d.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-17 17:25 ski New Issue
2014-04-17 17:25 ski Assigned To => ski
2014-04-17 17:25 ski Status new => assigned
2014-04-18 15:05 ski Note Added: 0028964
2014-04-18 15:05 ski Assigned To ski => abv
2014-04-18 15:05 ski Status assigned => resolved
2014-04-18 17:30 abv Note Added: 0028975
2014-04-18 17:30 abv Assigned To abv => bugmaster
2014-04-18 17:30 abv Status resolved => reviewed
2014-04-18 18:19 mkv Assigned To bugmaster => mkv
2014-04-21 20:22 mkv Note Added: 0028998
2014-04-21 20:23 mkv Test case number => Not needed
2014-04-21 20:23 mkv Assigned To mkv => bugmaster
2014-04-21 20:23 mkv Status reviewed => tested
2014-04-22 11:22 abv Target Version => 6.7.1
2014-04-28 10:27 abv Changeset attached => occt master 6fc9d72d
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker